{
  "ReRoutes": [
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Cnc",
      "UpstreamPathTemplate": "/cnc/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/cnc/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 6102
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Dnc",
      "UpstreamPathTemplate": "/dnc/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/dnc/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 6103
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Config",
      "UpstreamPathTemplate": "/config/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/config/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 6101
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Tpm",
      "UpstreamPathTemplate": "/tpm/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/tpm/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 6105
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Tlm",
      "UpstreamPathTemplate": "/esop/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/esop/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 6104
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
	 {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Tlm",
      "UpstreamPathTemplate": "/qms/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/qms/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 6107
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Dashboard",
      "UpstreamPathTemplate": "/dashboard/{controller}/{url}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/dashboard/{controller}/{url}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 8110
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    }
  ],
  "GlobalConfiguration": {
    "BaseUrl": "http://localhost:6100"
    //"ServiceDiscoveryProvider": {
    //  "Host": "localhost",
    //  "Port": 8500,
    //  //"Type": "PollConsul",
    //  "PollingInterval": 100
    //}
  }
}
